%global pypi_name           ruamel.yaml.clib
%global canonical_pypi_name ruamel-yaml-clib
%global pypi_version        0.2.6

Name:           python-%{canonical_pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        C version of reader, parser and emitter for ruamel

License:        MIT
URL:            https://sourceforge.net/p/ruamel-yaml-clib/code/ci/default/tree
Source0:        %{pypi_source}

%global _description %{expand:
The C based reader/scanner, and emitter for ruamel.yaml.}

%description %_description


%package -n     python%{python3_pkgversion}-%{canonical_pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{canonical_pypi_name}}

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_version}dist(setuptools)
BuildRequires:  gcc
BuildRequires:  libyaml-devel

%description -n python%{python3_pkgversion}-%{canonical_pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
export RUAMEL_NO_PIP_INSTALL_CHECK=1
%py3_install

%files -n python%{python3_pkgversion}-%{canonical_pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitearch}/ruamel
%{python3_sitearch}/_ruamel_yaml.*.so
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Wed Apr 20 2022 Daniel Uvehag <ufven+pkgs@protonmail.com> - 0.2.6-1
- Initial package.
